/***********************************************************

File Name :
        msorb.C

Programmer:
        Doug Neuhauser (derived from code by Phil Maechling)

Description:
        This is a MiniSEED ORB Writer Object.
        It is for writing MiniSEED packets to the orb only, at this point.

Creation Date:
	2005/11/13 (2005.317)

Usage Notes:



Modification History:



**********************************************************/
#ifndef msocket_H
#define msocket_H

#include <iostream>
#include <stdlib.h>
#include <termio.h>
#include <fcntl.h>
#include <string.h>
#include <sys/types.h>
#include <sys/time.h>
#include <signal.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <netinet/in.h> 
#include <netdb.h>
#include "RetCodes.h"

#include <libdali.h>

class MSRingWriter
{

  public:

    MSRingWriter(const char *ringserver_string, const char *client_id_string);

    ~MSRingWriter();

    int InitializeRing();

    int SendMsg(const char* msg,
		const int   nbytes,
		const char *station,
		const char *network,
		const char *channel,
		const char *location,
		const double starttime);

    int RingIsOpen();

    MSRingWriter& operator=(const MSRingWriter &c);

  private:

    DLCP *ring_conn;
    char *ringserver;
    char *client_id;
    int ack_flag;
};

#endif
