/***********************************************************

File Name :
	netchancfg.h

Programmer:
	Phil Maechling

Description:
	Scan Network, Station, Channel config file routine. 
	This accepts a configuration file name and a an
	array of channel structures and loads the stream
	structures, and passed the array back to the calling program.
	The configuration file can contain blank lines and
        comment lines that begin with the pound # sign.
	These lines are ignored.

Creation Date:
	8 August 1996

Usage Notes:


Modification History:


**********************************************************/
#ifndef netchancfg_H
#define netchancfg_H

#include "nscl.h"

struct channel_identifier_type
{
  char network[MAX_CHARS_IN_NETWORK_STRING];
  char station[MAX_CHARS_IN_STATION_STRING];
  char channel[MAX_CHARS_IN_CHANNEL_STRING];
  char location[MAX_CHARS_IN_LOCATION_STRING];
  char seednetwork[MAX_CHARS_IN_NETWORK_STRING];
  char seedstation[MAX_CHARS_IN_STATION_STRING];
  char seedchannel[MAX_CHARS_IN_CHANNEL_STRING];
  char seedlocation[MAX_CHARS_IN_LOCATION_STRING];
};


int scan_netchannel_config_file(char* cfg_file,
			     struct channel_identifier_type chans[],
			     int& number_of_channels_found,
			     int debug_flag);

#endif
