/***********************************************************

File Name :
        pressor.h

Programmer:
        Phil Maechling

Description:
        Compressor
	This compresses the Analog Tracebuf buffer data into
	MiniSEED packets and sends them out to an orb.

Creation Date:
        18 March 1999


Usage Notes:
	The abstractions in this class a bit awkward. This combines
	both a compressor class and a send packet class.
	These two ideas could/should be separated out.
	This depends heavily on qlib for actual compression of
	waveform packets.

Modification History:

16 August 2004 - Added support for Earthworm location codes


**********************************************************/
#ifndef pressor_H
#define pressor_H

#include "Channel.h"
#include "trace_buf.h"
#include "msringwriter.h"
#include "qlib2.h"

class Compressor
{
  public:

    Compressor();
    ~Compressor();

    int MakePackets(int* buf,
                    int* diff,
	            const TRACE2_HEADER* thead,
	            const int nsamples,
                    const int data_format,
		    const Channel *seedchannel,
		    MSRingWriter& orb);

  private:

    int         p_first_header_in_session;
    DATA_HDR    p_header;
    int         p_sequence_number;
};

#endif
